Bug 695501 - (CVE-2011-1401) CVE-2011-1401 ikiwiki: XSS via crafted CSS token sequences
CVE-2011-1401 ikiwiki: XSS via crafted CSS token sequences
Status: CLOSED ERRATA
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
medium Severity medium
: ---
: ---
Assigned To: Red Hat Product Security
public=20110328,reported=20110411,sou...
: Security
Depends On: 695502
Blocks:
  Show dependency treegraph
 
Reported: 2011-04-11 17:28 EDT by Vincent Danen
Modified: 2016-03-04 06:17 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-04-29 08:56:10 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Vincent Danen 2011-04-11 17:28:45 EDT
Common Vulnerabilities and Exposures assigned an identifier CVE-2011-1401 to
the following vulnerability:

Name: CVE-2011-1401
URL: http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2011-1401
Assigned: 20110310
Reference: http://ikiwiki.info/security/#index39h2
Reference: http://www.debian.org/security/2011/dsa-2214
Reference: http://www.securityfocus.com/bid/47285

ikiwiki before 3.20110328 does not ascertain whether the htmlscrubber
plugin is enabled during processing of the "meta stylesheet"
directive, which allows remote authenticated users to conduct
cross-site scripting (XSS) attacks via crafted Cascading Style Sheets
(CSS) token sequences in (1) the default stylesheet or (2) an
alternate stylesheet.
Comment 1 Vincent Danen 2011-04-11 17:29:27 EDT
Created ikiwiki tracking bugs for this issue

Affects: fedora-all [bug 695502]
Comment 3 Tomas Hoger 2011-04-29 08:56:10 EDT
FEDORA-2011-5173 	ikiwiki-3.20100815.7-1.fc13
FEDORA-2011-5180 	ikiwiki-3.20110328-1.fc14
FEDORA-2011-5249 	ikiwiki-3.20110328-1.fc15

Note You need to log in before you can comment on or make changes to this bug.